Ubuntu

gdm-binary[2671]: WARNING: Unable to find users: no seat-id found

Reported by Daniel de Souza Telles on 2009-09-21
138
This bug affects 29 people
Affects Status Importance Assigned to Milestone
ConsoleKit
Won't Fix
Medium
gdm (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Hezekiah
Nominated for Lucid by papukaija
xorg-server (Ubuntu)
High
Unassigned
Nominated for Karmic by Hezekiah
Nominated for Lucid by papukaija

Bug Description

Ubuntu version: Karmic Alpha

GDM isn't starting, when ubuntu is booted it stay on a black screen forever with keyboard, mouse don't working, only acpi shutdown works.
I booted in security mode, without the options "vga=768 quiet", to get some logs. First step i tried to start gdm (gdm1.txt). As it's returned a dbus error, i runned "/etc/init.d/dbus reload", and tried again (gdm2.txt). After that i reconfigured some packages with dpkg-reconfigure, as PolicyKit, ConsoleKit, and other things that I don't renember, but at all gdm problem stayed the same.

description: updated
albert ozzy (albertozgur) wrote :

had the same error as in gdm1.txt. After installing the latest karmic alpha (6) (probably because of upstart) i couldn't manage to load gdm.

However changing grub load command i've managed to load it properly. Changing "ro" (readonly) to "rw" in the boot commands once worked for me.

After booting properly, i didn't have any need to change the boot command again. "ro" (readonly) option just works now.

Didn't work albert. Showed the same error. Maybe its because my system is outdated, as my last update was done before the tests I made to open this bug.

albert ozzy (albertozgur) wrote :

I may write it incomplete. While booting could you edit (e) the grub menu item for ubuntu to show sth like this:

        linux /boot/vmlinuz-2.6.28-13-generic root=UUID=b02e1934-12dd-418a rw

Careful there's no quiet,splash or vga command after rw. If you could manage to open up at least a command-line interface could you please check if you can connect to internet to update your files.

If there's dbus error while you're trying this, you can try so start dbus , hal ,network-manager with start command.

sudo start dbus
sudo start hal
sudo start network-manager

and finally try starting gdm. If you got any errors doing these please write that down here.

Problem solved after the last updates! And I didn't need to set kernel to rw. After update, I launched Ubuntu by mistake, and delighted when i saw Gnome starting.

Changed in ubuntu:
status: New → Fix Released

Linux Distribution: Ubuntu Karmic Alpha

The bug is already filled in Launchpad.
https://bugs.launchpad.net/ubuntu/+bug/433928

Daniel de Souza Telles report:

"GDM isn't starting, when ubuntu is booted it stay on a black screen forever with keyboard, mouse don't working, only acpi shutdown works.
I booted in security mode, without the options "vga=768 quiet", to get some logs. First step i tried to start gdm (gdm1.txt). As it's returned a dbus error, i runned "/etc/init.d/dbus reload", and tried again (gdm2.txt). After that i reconfigured some packages with dpkg-reconfigure, as PolicyKit, ConsoleKit, and other things that I don't renember, but at all gdm problem stayed the same."

dino99 report:

"don't know if that matter:

console-kit-daemon[1437]: WARNING: Couldn't read /proc/1403/environ: Failed to open file '/proc/1403/environ': No such file or directory

looking at /proc/ there is no 1403 folder but 1503."

A lot of other commnents, stacktraces and logs can be found in Launchpad. https://bugs.launchpad.net/ubuntu/+bug/433928

dino99 (9d9) wrote :

Sorry guys,

my karmic beta is daily updated & the problem is still there.

gdm-binary[1395]: WARNING: Unable to find users: no seat-id found

Changed in ubuntu:
status: Fix Released → New
dino99 (9d9) wrote :

don't know if that matter:

console-kit-daemon[1437]: WARNING: Couldn't read /proc/1403/environ: Failed to open file '/proc/1403/environ': No such file or directory

looking at /proc/ there is no 1403 folder but 1503.

Try doing what albert says. Maybe it works.

Changed in ubuntu:
status: New → Confirmed
Changed in consolekit:
status: Unknown → Confirmed
albert ozzy (albertozgur) wrote :

dino99, is dbus running? what is the output of:

status dbus

Luke Faraone (lfaraone) on 2009-10-07
affects: ubuntu → consolekit (Ubuntu)
Changed in consolekit (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
Ongion (benpy2k) wrote :

I can confirm that I have the same bug. Dbus is running. I have tried reconfiguring consolekit, policykit, xorg, and gdm. They have done nothing. Booting with rw also did nothing. My computer is fully up to date. I don't, however, have the /proc/1043/environ warning that dino99 had. I don't think this was mentioned, but instead of starting gdm, a black screen appears. I can't switch VT's from this, so the only way to get a shell is in recovery mode.
Another thing to note is that starting X directly from a shell in recovery mode results in the same black screen. This is the same whether from the root shell or the normal shell accessed by choosing "resume" from the recovery menu. Any suggestions?

Ongion (benpy2k) wrote :

On further note (and checking of daemon.log), I realized that I DID have the same problem as dino99, but only BEFORE I was unable to start GDM.

Ongion (benpy2k) wrote :

I've been updating throughout the evening, and apparently one of the recent updates to something fixed the problem for me.

Changed in consolekit (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
jerome (jerome-laverroux) wrote :

oups,

Sorry for status change....
Same problem for me. Gdm doesn't want to start. I've downgraded to Jaunty....

dino99 (9d9) wrote :

hi Albert,

oem@oem-desktop:~$ status dbus
dbus start/running, process 862

bluedream (wangjinfajimmy) wrote :

hi i also got this issue,even if got this but gdm works well,the error message is :
unable to loadfile /etc/gdm/custom.conf no such file or direcotry
unable to find users :no seat-id found
  what wrong ?how can i fix it?

Prasanna (prasanna-ta) wrote :

After karmic update my login goes straight to recovery console. Both gdm as well as kdm does not start. But once logged into recovery console if I run "sudo gdm", gdm comes up fine. So does kdm. I tried enabling boot logs but I see nothing there.

bigpanda (ralphturnbull) wrote :

This is happening to me too. After upgrade tp 9.10 from 9.04. I get a black screen on boot but can run sudo gdm from recovery. /etc/gdm/custom.conf exists but no values are set. there is no gdm.conf file.

i get : gdm-binary[2544]: WARNING: Unable to find users: no seat-id found messages and the /proc messages mentioned above

Hezekiah (intel-magk) on 2009-11-07
description: updated
Frank Bergmann (frankbg) wrote :

Same problem here with Karmic in a lab with 17 preseeded P4/Intel Chipset PCs. Some of them are booting the first time, some of them on second attempt, totally irregulary, but with the symptoms described above. In the second lab with DualCore machines everything is fine under the exact same software configuration. I removed modemmanager und apparmor because the last screen messages seemed to be related to them but no success.
I have no clue or time where to dig deeper so I downgraded the lab back to jaunty -> problem gone...

jackyt (yi-tang) wrote :

I had the same Problem on my Phenom X4, Nvidia GeForce 8500 GT

Nov 10 22:44:03 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 2.524737 seconds
Nov 10 22:44:03 core acpid: client 1550[0:0] has disconnected
Nov 10 22:44:03 core acpid: client connected from 1711[0:0]
Nov 10 22:44:03 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 0.119129 seconds
Nov 10 22:44:03 core acpid: client 1711[0:0] has disconnected
Nov 10 22:44:03 core acpid: client connected from 1770[0:0]
Nov 10 22:44:04 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 0.091266 seconds
Nov 10 22:44:04 core acpid: client 1770[0:0] has disconnected
Nov 10 22:44:04 core acpid: client connected from 1805[0:0]
Nov 10 22:44:04 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 0.091863 seconds
Nov 10 22:44:04 core acpid: client 1805[0:0] has disconnected
Nov 10 22:44:04 core acpid: client connected from 1867[0:0]
Nov 10 22:44:04 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 0.091593 seconds
Nov 10 22:44:04 core acpid: client 1867[0:0] has disconnected
Nov 10 22:44:04 core acpid: client connected from 1924[0:0]
Nov 10 22:44:04 core gdm-binary[1297]: WARNING: GdmDisplay: display lasted 0.090217 seconds
Nov 10 22:44:04 core gdm-binary[1297]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors

Solved this way:
Boot in Recovery Mode, build and install the Nvidia driver from source, reboot.
Maybe help even with other graphic manufacture.

LayTek (laytek) wrote :

I just upgraded a Dell Dimension 2400 with the 82845g chipset to Karmic. First reboot after upgrade went fine. Subsequent starts have the behavior as described above.

Michael (mimal69) wrote :

Same problem: First reboot worked, Subsequent starts will show described behavior each time (not rarley). I tried to get a trace as described in https://wiki.ubuntu.com/X/Backtracing but the page is not updated to 9.10: "sudo force_start=1 /etc/init.d/apport restart" does not work.

decagny (12juillet) wrote :

I have the same problem, since i can not start anymore my ubuntu.
Do i have to downgrade in 9.04 ?

Thank a lot for your help

Steve Maring (steve-maring) wrote :

I updated my Karmic yesterday and have a similar problem now. This was a fresh 64-bit Karmic install from about a week ago. I noted a couple things. First, nvidia module from NVIDIA-Linux-x86_64-190.42-pkg2.run is not found ...

(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.0
FATAL: Module nvidia not found.
(EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
(EE) NVIDIA: system's kernel log for additional error messages.
(II) Unloading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(EE) Failed to load module "nvidia" (module-specific error, 0)
(EE) No drivers available.

and then the flickering of the console filling up syslog with these ...

Nov 26 09:55:14 lappy acpid: client 10901[0:0] has disconnected
Nov 26 09:55:14 lappy acpid: client connected from 10906[0:0]
Nov 26 09:55:14 lappy gdm-binary[10891]: WARNING: GdmDisplay: display lasted 0.085487 seconds
Nov 26 09:55:14 lappy gdm-simple-slave[10910]: WARNING: Unable to load file '/etc/gdm/custom.conf': No such file or directory

Teles (motm93) wrote :

this looks like what's happening to me... i intalled Ubuntu 9.10 and there was a problem with the sound. So i removed the "pulseaudio" and installed the "esound". The sound problem was solved.

Then the problem begun. when I pressed "shut down" nothing happened. So i tried to "end sesion" and then, shut down... it worked, but when a tried to restart, I got stuck in the LOGIN screen. When I type the password, it begins to load UBUNTU, but soon gets back to the login screen...

I tried to start GDM from the comand line ("sudo gdm"), but i recived the following message:

UNABLE TO LOAD /ETC/GDM/CUSTOM.CONF
UBALE TO FIND USERS: NO SEAT-ID FOUND

There is a fix to this? There's a way to repair these files?

Thanks!

Marcelo Teles (Brasil)

Dale Amon (amon) wrote :

I have the same problem here (amongst others). I have both error messages discussed. The first is in the normal logs from the boot up:

Dec 20 20:57:38 mourne console-kit-daemon[875]: WARNING: Couldn't read
/proc/858/environ: Failed to open file '/proc/858/environ': No such
file or directory

I manually stopped and started gdm via an ssh root log in and got this message:

Dec 20 21:55:19 mourne gdm-binary[1781]: WARNING: Unable to find users: no seat-id found
Dec 20 21:55:20 mourne gdm-binary[1781]: WARNING: GdmDisplay: display lasted 0.447894 seconds

I do not know if it is connected, but this is a dedicated file server and at some point since I did updates last night it locked up. I could no longer get an ssh login but it was still pingable.

I have also had the seperate issue for well over a year that the vt's in Ubuntu simply do not work on this machine. No idea what they did to break them but suspect it is the use of graphics instead of dumb ascii as this is a circa 1999-2000 motherboard.

dino99 (9d9) wrote :

Problem exist too with Lucid A1:

gdm-binary[1126]: WARNING: Unable to find users: no seat-id found

Unforunately, there isn't sufficient information here to identify a CK problem. I think this warning message may be unrelated to the problems listed in the downstream report. If you can provide more information please reopen. Thanks.

Changed in consolekit:
status: Confirmed → Invalid
impert (cwallace-free) wrote :

I'm getting this with Lucid 2.6.31-15-generic on an AMD64

impert (cwallace-free) wrote :

daemon.log

Changed in gdm (Ubuntu):
status: New → Confirmed
Chris Coulson (chrisccoulson) wrote :

The GDM logs there suggest Xorg is crashing

Changed in gdm (Ubuntu):
status: Confirmed → Invalid
affects: consolekit (Ubuntu) → xorg-server (Ubuntu)
DebianSidUser (raza) wrote :

I'm also have this prob on Ubuntu 10.04 Aplha 3. Did anyone find a fix for this?

impert (cwallace-free) wrote :

@illbashu :
I did a fresh install, which fixed it for me.

dino99 (9d9) wrote :

dont see this warning now on Lucid with the latest updates.

Dax (bugs-metworst) wrote :

Upgraded y-day from 9.10, today after an updated crashed into me.
Updating does not solve it (yet)

DebianSidUser (raza) wrote :

I installed KDM (sudo aptitude install kdm) and have been using that and it's been working fine for me.

Jan (jan-timo-henrich) wrote :

I can confirm this bug for Ubuntu 10.04 LTS (Lucid Lynx) Alpha 3 / PC (Intel x86) desktop CD with the latest updates on a IBM Thinkpad R51 1830-WAY, too. After a fresh install I updated and rebooted the system. From now on my login also goes straight to recovery console. gdm does not start.

Some log strings:
=============
gdm-binary[714]: WARNING: Unable to find users: no seat-id found
gdm-binary[1351]: WARNING: Unable to find users: no seat-id found
gdm-session-worker[993]: pam_ck_connector(gdm-autologin:session): nox11 mode, ignoring PAM_TTY :0
gdm-session-worker[993]: GLib-GObject-CRITICAL: g_value_get_boolean: assertion `G_VALUE_HOLDS_BOOLEAN (value)' failed
gdm-session-worker[1360]: GLib-GObject-CRITICAL: g_value_get_boolean: assertion `G_VALUE_HOLDS_BOOLEAN (value)' failed

Workaround:
==========
Once logged into recovery console type 'sudo service gdm stop' and than 'sudo service gdm start' (if I tried to start gdm directly, I received the message that gdm is already running). gdm comes up fine.

Changed in gdm (Ubuntu):
status: Invalid → Confirmed
DebianSidUser (raza) wrote :

That workaround doesn't work for me, even after restarting GDM I have probs.

Jan (jan-timo-henrich) wrote :

Today's updates seemed to solve that problem. Can you confirm that?

dino99 (9d9) wrote :

daemon.log GMT+1, all updates applied

Mar 17 09:59:47 localhost gdm-binary[896]: WARNING: Unable to find users: no seat-id found

DebianSidUser (raza) wrote :

Just retested and nope, its still broken.

Bryce Harrington (bryce) on 2010-03-18
tags: added: karmic
Chris Coulson (chrisccoulson) wrote :

Closing the GDM task, as Xorg is crashing. The title is misleading - the GDM warning is a red-herring and causes no other symptoms

Changed in gdm (Ubuntu):
status: Confirmed → Invalid
dino99 (9d9) wrote :

issue still there with lucid b2 updated.

no one assigned yet ?

Bryce Harrington (bryce) wrote :

The error in the title is a generic error message that just means X failed to start for some undetermined reason, which could be any of a million different actual X bugs. The original reporter says that his particular X failure is now solved, so this bug report should be closed.

Do not reopen this bug; if you are seeing the same error message and the same symptoms it does *NOT* mean you "have the same bug". You actually have some unrelated bug that just expresses itself with the same symptom. Instead, follow the troubleshooting directions at http://wiki.ubuntu.com/X/ and file a *new* bug report using `ubuntu-bug linux` (or against xorg if you're certain it's an X bug).

Changed in xorg-server (Ubuntu):
status: Confirmed → Fix Released
kfsone (oliver-kfs) wrote :

Just wanted to add: I get the seat-id error, but my GDM is working fine, so I think it is unrelated.

Changed in consolekit:
importance: Unknown → Medium
status: Invalid → Won't Fix
dino99 (9d9) wrote :

got it on Natty i386 updated too:

gdm-binary[996]: WARNING: Unable to find users: no seat-id found

but it seems that Fedora guys have identified the reasons and found a bugfix:

https://bugzilla.redhat.com/show_bug.cgi?id=545267

its not easy to compare with them about packages as they numbered very differently but the mechanism should be the same, please devs have a look.

dino99 (9d9) on 2010-11-14
Changed in gdm (Ubuntu):
status: Invalid → New
papukaija (papukaija) wrote :

The gdm part of this bug is closed due to reasons explained in comment 51. Please keep it as such.

Changed in gdm (Ubuntu):
status: New → Invalid
Changed in consolekit:
importance: Medium → Unknown
Changed in consolekit:
importance: Unknown → Medium
Nicholas Shatokhin (robotex) wrote :

I have the same problem in 11.04.

System starts and propose me enter login password in console, but I can't do it, because console hidden by violet screen (without Ubuntu logo and progress bar). So I must wait about 10 minutes for gdm start.
I can load in recovery mode (and must hope that Ubuntu not hang on load), enter login and password in console and then type "sudo /etc/inid.t/gdm start" (I'll see text on gdm's loading: unable to find users :no seat-id found) and gdm starts. What's wrong.
It started when I install video driver.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.